        character*3 moabb(12), mopick
        character*4 yrabb(15), yrpick
	  character*12 moth(12), mothpick
	  character*60 name1,name2,name3,name4,name5,name6
	  character*60 file1
        data moabb /'jan','feb','mar','apr','may','jun',
     +    'jul','aug','sep','oct','nov','dec'/

        data moth /'january','february','march','april','may','june',
     +    'july','august','september','october','november','december'/

        data yrabb /'1994','1995','1996','1997','1998','1999','2000',
     +    '2001','2002','2003','2004','2005','2006','2007','2008'/

	file1='run1.bat'
	open (1, file=file1, status='unknown')
		
	do i=2000,2000
		do j=1,12
			name1=''
			name2=''
			name3=''
			name4=''
			name5=''
			name6=''
			ii=i-1993
			call strlen(moth(j),l1,l2)
			name1 =moth(j)(l1:l2)//'-'//yrabb(ii)//'.txt.Z'
			name2 =moabb(j)//'-'//yrabb(ii)(3:4)//'.Z'
			name5 =moabb(j)//yrabb(ii)//'.txt'
			call strlen(name1,l1,l2)
			call strlen(name2,m1,m2)
			call strlen(name5,n1,n2)
			name3 ='rename '//name1(l1:l2)//' '//name2(m1:m2) 
			name4 ='uncomp '//name2(m1:m2) 
			name6 ='rename '//name2(m1:m2-2)//' '//name5(n1:n2) 
			write(1,*) name3
			write(1,*) name4
			write(1,*) name6
		enddo
	enddo
	close(1)
	end

      subroutine strlen(str, l1,l2)
      character str*200
      integer i,l1,l2,k
      k=0
      do i = 1, 200
        if(k.eq.0 .and. str(i:i).NE.' ') then
          l1=i
          k=1
        elseif(k.eq.1 .and. str(i:i).EQ.' ') then
          l2 = i-1
          return
        endif
      end do
      l2 = i
      return
      end